/* ==========================================================================
  MOBILE MENU
  ===========================================================================*/

$mobile-menu-color: $color-white;
$mobile-menu-max-width: 320px;
$mobile-menu-background-color: $color-secondary;

$mobile-menu-close-button-size: 25px;

$mobile-menu-arrow-width: 6px;
$mobile-menu-arrow-height: 9px;

$mobile-menu-contact-font-size: 18px;
$mobile-menu-header-height: 46px;
$mobile-menu-header-horizontal-padding: 15px;

$mobile-menu-body-height: calc(100% - #{$mobile-menu-header-height});

$mobile-menu-link-background-color-active: #132029;

$mobile-menu-link-border-color: #32404a;

$mobile-menu-overlay-background-color: rgba(25, 18, 12, 0.3);

$mobile-submenu-header-height: 46px;
$mobile-submenu-header-padding-left: 22px;
$mobile-submenu-header-background-color: #23323c;

$mobile-menu-swipe-panel-gap-top: 50px;
$mobile-menu-swipe-panel-width: 30px;

$mobile-menu-z-index: z(menu);
$mobile-menu-overlay-z-index: z(menu) - 1;
$mobile-menu-swipe-panel: z(menu) - 1;

body.mobile-menu-opened {

  @include mq('laptop', 'max') {
    overflow: hidden;
  }
}

.mobile-menu {
  position: fixed;
  top:0;
  right: 0;
  z-index: $mobile-menu-z-index;
  display: flex;
  flex-direction: column;
  width: 100%;
  max-width: $mobile-menu-max-width;
  height: 100%;
  background-color: $mobile-menu-background-color;
  will-change: transform;
  transform: translateX(100%);
  transition: transform .3s ease-in-out;
}

.mobile-menu_open {

  @include mq('laptop', 'max') {
    transform: translateX(0%);
    transition: transform .3s ease-in;
  }

  @include mq('phone', 'max') {
    max-width: none;
  }
}

// header
.mobile-menu__header {
  flex-shrink: 0;
  display: flex;
  align-items: center;
  padding-left: $mobile-menu-header-horizontal-padding;
  padding-right: $mobile-menu-header-horizontal-padding;
  width: 100%;
  height: $mobile-menu-header-height;
}

.mobile-menu__contact-phone {
  color: $mobile-menu-color;
  font-size: $mobile-menu-contact-font-size;

  &:hover {
    color: $mobile-menu-color;
    text-decoration: none;
  }
}

.mobile-menu__close {
  position: relative;
  margin-left: auto;
  color: $mobile-menu-color;
  padding: 0;
  background: transparent;
  border: 0;
  width: $mobile-menu-close-button-size;
  height: $mobile-menu-close-button-size;
  cursor: pointer;

  &:hover  {
    opacity: .9;
  }

  &:focus {
    outline: none;
  }
}

// body
.mobile-menu__body {
  position: relative;
  width: 100%;
  height: $mobile-menu-body-height;
  overflow: hidden;
}

.mobile-menu__list {
  width: 100%;
  height: 100%;
  overflow: auto;
}

.mobile-menu__list_main {

  .mobile-menu__link {

    &:not(:only-child) {

      &::after {
        content: '';
        position: absolute;
        top: 50%;
        right: 42px;
        z-index: 2;
        display: block;
        width: $mobile-menu-arrow-width;
        height: $mobile-menu-arrow-height;
        transform: translateY(-50%);
        background-image: url('data:image/svg+xml,%3Csvg%20id%3D%22Layer_1%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%2014%2030%22%3E%3Cstyle%3E.st0%7Bfill%3A%23fff%7D%3C%2Fstyle%3E%3Cpath%20class%3D%22st0%22%20d%3D%22M1%2030c-.2%200-.5-.1-.7-.2-.4-.4-.5-1-.1-1.4L11.7%2015%20.2%201.7C-.2%201.3-.1.6.3.3c.4-.4%201-.3%201.4.1l12%2014c.3.4.3.9%200%201.3l-12%2014c-.1.2-.4.3-.7.3z%22%2F%3E%3C%2Fsvg%3E');
        background-repeat: no-repeat;
        background-size: 100%;
        background-position: center center;
      }
    }
  }
}

.mobile-menu__item {

  + .mobile-menu__item {

    > .mobile-menu__link{

      &::before {
        content: '';
        position: absolute;
        display: block;
        left: 30px;
        right: 30px;
        height: 1px;
        background-color: $mobile-menu-link-border-color;
        transition: none;
      }

      &::before {
        top: 0px
      }
    }
  }
}

.mobile-menu__link {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-top: 15px;
  padding-bottom: 15px;
  padding-left: 42px;
  padding-right: 40px;
  color: $mobile-menu-color;
  font-size: $font-size-primary;
  font-weight: $font-weight-regular;
  
  &:hover {
    color: $mobile-menu-color;
    text-decoration: none;
  }

  &:active {
    background-color: $mobile-menu-link-background-color-active;
  }

  @include mq("tablet") {

    &:hover {
      background-color: $mobile-menu-link-background-color-active;
    }
  }
}

// submenu
.mobile-menu__submenu {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  z-index: 3;
  height: 100%;
  background-color: $mobile-menu-background-color;
  will-change: transform;
  transform: translateX(-100%);
  transition: transform .3s ease-in-out;
}

.mobile-menu__submenu_open {
  transform: translateX(0%);
  transition: transform .3s ease-in;
}

.mobile-menu__submenu-header {
  display: flex;
  align-items: center;
  width: 100%;
  height: $mobile-submenu-header-height;
  padding-left: $mobile-submenu-header-padding-left;
  padding-right: 0;
  border: 0;
  color: $mobile-menu-color;
  background-color: $mobile-submenu-header-background-color;
  cursor: pointer;

  &:focus {
    outline: none;
  }

  .icon {
    margin-right: 15px;
    width: $mobile-menu-arrow-width;
    height: $mobile-menu-arrow-height;
  }
}

/* OVERLAY */

.mobile-menu-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: $mobile-menu-overlay-z-index;
  background-color: $mobile-menu-overlay-background-color;
  pointer-events: none;
  visibility: hidden;
  transition: .3s ease;
}

.mobile-menu-overlay_visible {

  @include mq('laptop', 'max') {
    pointer-events: auto;
    visibility: visible;
    transition: .3s ease;
  }
}

/* SWIPE PANEL */
.mobile-menu-swipe-panel {
  position: fixed;
  z-index: $mobile-menu-swipe-panel;
  top: $mobile-menu-swipe-panel-gap-top;
  right: 0;
  display: block;
  width: $mobile-menu-swipe-panel-width;
  height: 100%;
  background: transparent;

  @include mq('laptop') {
    display: none !important;
  }
}

/* PHONE LIST */

.mobile-menu__list_phones {

  .mobile-menu__item {

    .mobile-menu__link {
      flex-direction: column;
      justify-content: center;
    }

    span {
      color: rgba($mobile-menu-color, 0.64);
    }
  }
}

/* end mobile menu */
